Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.service
Class ServiceFactory

    java.lang.Object
      be.ehealth.businessconnector.therlink.service.ServiceFactory

    public final class ServiceFactory

extends Object

A factory for creating `TherLinkService`.

Field Summary
`static String` | `THERLINK_PROTOCOL`

Method Summary
`static GenericRequest` | `getTherLinkPort(SAMLToken token)` Gets the therlink port
`static TherLinkService` | `getTherLinkService()` Gets the therlink service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THERLINK_PROTOCOL

    public static final String THERLINK_PROTOCOL

See Also:
  Constant Field Values

Method Detail

### getTherLinkPort

    public static GenericRequest getTherLinkPort(SAMLToken token)
                                          throws MalformedURLException,
                                                 TechnicalConnectorException,
                                                 TherLinkBusinessConnectorException

  Gets the therlink port

  Parameters:
    `token` - the token
  Returns:
    the consultation service
  Throws:
    `MalformedURLException` - the malformed url exception
    `TechnicalConnectorException` - the technical connector exception
    `TherLinkBusinessConnectorException`

### getTherLinkService

    public static TherLinkService getTherLinkService()

  Gets the therlink service. Use this method to put/get/revoke therapeutic links

  Returns:
    the therlink service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.